Bug 1700487 - [api-freeze] Experimental Support for Swift Storage Backend
Summary: [api-freeze] Experimental Support for Swift Storage Backend
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image Registry
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.1.0
Assignee: Oleg Bulatov
QA Contact: Wenjing Zheng
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-16 17:31 UTC by Adam Kaplan
Modified: 2019-06-04 10:47 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-04 10:47:40 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:47:50 UTC

Description Adam Kaplan 2019-04-16 17:31:49 UTC
Description of problem: Customer contributed API for swift (OpenStack) storage backend. For GA API freeze, this needs to either be:
  a) removed
  b) marked "Experimental"


Version-Release number of selected component (if applicable): 4.0.0-0.ci-2019-04-16-154201


Additional info: https://github.com/openshift/cluster-image-registry-operator/pull/257

Comment 1 Adam Kaplan 2019-04-22 12:43:36 UTC
PR has merged.

We are introducing experimental support for Swift and EmptyDir storage (latter is for non-production use only).

Comment 3 Wenjing Zheng 2019-04-23 08:40:50 UTC
@adam, I can prove emmtyDir is changed like "oc patch configs.imageregistry.operator.openshift.io cluster -p '{"spec":{"emptyDir":{}}}' --type='merge', what else needs to be checked to verify this bug?

Comment 4 Adam Kaplan 2019-04-24 14:59:43 UTC
@Wenjing you could test a similar patch - `oc patch configs.imageregistry.operator.openshift.io/cluster -p '{"spec":{"storage":{"swift":{}}}}' --type='merge'`.

Note that with this patch storage the registry itself may not come up because that storage config won't connect to a swift backend.

Comment 5 Wenjing Zheng 2019-04-25 10:20:29 UTC
(In reply to Adam Kaplan from comment #4)
> @Wenjing you could test a similar patch - `oc patch
> configs.imageregistry.operator.openshift.io/cluster -p
> '{"spec":{"storage":{"swift":{}}}}' --type='merge'`.
> 
> Note that with this patch storage the registry itself may not come up
> because that storage config won't connect to a swift backend.

Operator rollback my config to s3 if I test on AWS when I set storage to swift, is it on purpose?

Comment 6 Oleg Bulatov 2019-04-25 14:56:00 UTC
No, it's not. https://github.com/openshift/cluster-image-registry-operator/pull/262

Comment 7 Adam Kaplan 2019-04-26 11:45:30 UTC
@Wenjing Oleg's PR merged with his fix

Comment 8 Wenjing Zheng 2019-04-30 08:00:44 UTC
Thanks, Oleg and Adam! I can verify with 4.1.0-0.nightly-2019-04-28-064010 now:

$ oc get pods
NAME                                               READY   STATUS                       RESTARTS   AGE
cluster-image-registry-operator-75c9b4f765-kzj6m   1/1     Running                      0          103m
image-registry-5ddfc9786c-mfckl                    0/1     CreateContainerConfigError   0          2m40s

  Normal   Pulled     3s (x4 over 15s)  kubelet, ip-172-31-140-51.eu-west-2.compute.internal  Container image "quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:5f053184bb80722d9d23686526dc18b05b53e7b02e12cf57118028895aefcc4b" already present on machine
  Warning  Failed     3s (x4 over 15s)  kubelet, ip-172-31-140-51.eu-west-2.compute.internal  Error: Couldn't find key REGISTRY_STORAGE_SWIFT_USERNAME in Secret openshift-image-registry/image-registry-private-configuration

Comment 10 errata-xmlrpc 2019-06-04 10:47:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.